osg::GLBufferObjectSet Class Reference

`#include <BufferObject>`

Inheritance diagram for osg::GLBufferObjectSet:

## Public Member Functions

| GLBufferObjectSet (GLBufferObjectManager *parent, const BufferObjectProfile &profile)
const BufferObjectProfile & | getProfile () const
void | handlePendingOrphandedGLBufferObjects ()
void | deleteAllGLBufferObjects ()
void | discardAllGLBufferObjects ()
void | flushAllDeletedGLBufferObjects ()
void | discardAllDeletedGLBufferObjects ()
void | flushDeletedGLBufferObjects (double currentTime, double &availableTime)
osg::ref_ptr< GLBufferObject > | takeFromOrphans (BufferObject *bufferObject)
osg::ref_ptr< GLBufferObject > | takeOrGenerate (BufferObject *bufferObject)
void | moveToBack (GLBufferObject *to)
void | addToBack (GLBufferObject *to)
void | orphan (GLBufferObject *to)
void | remove (GLBufferObject *to)
void | moveToSet (GLBufferObject *to, GLBufferObjectSet *set)
unsigned int | size () const
bool | makeSpace (unsigned int &size)
bool | checkConsistency () const
GLBufferObjectManager * | getParent ()
unsigned int | computeNumGLBufferObjectsInList () const
unsigned int | getNumOfGLBufferObjects () const
unsigned int | getNumOrphans () const
unsigned int | getNumPendingOrphans () const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Protected Member Functions

virtual | ~GLBufferObjectSet ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Protected Attributes

OpenThreads::Mutex | _mutex
GLBufferObjectManager * | _parent
unsigned int | _contextID
BufferObjectProfile | _profile
unsigned int | _numOfGLBufferObjects
GLBufferObjectList | _orphanedGLBufferObjects
GLBufferObjectList | _pendingOrphanedGLBufferObjects
GLBufferObject * | _head
GLBufferObject * | _tail
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()

## Constructor & Destructor Documentation

## GLBufferObjectSet()

osg::GLBufferObjectSet::GLBufferObjectSet | ( | GLBufferObjectManager * | parent,
|  | const BufferObjectProfile & | profile )

Referenced by moveToSet().

## ~GLBufferObjectSet()

virtual osg::GLBufferObjectSet::~GLBufferObjectSet | ( |  | ) |

protected virtual

## Member Function Documentation

## addToBack()

void osg::GLBufferObjectSet::addToBack | ( | GLBufferObject * | to | ) |

## checkConsistency()

bool osg::GLBufferObjectSet::checkConsistency | ( |  | ) | const

## computeNumGLBufferObjectsInList()

unsigned int osg::GLBufferObjectSet::computeNumGLBufferObjectsInList | ( |  | ) | const

## deleteAllGLBufferObjects()

void osg::GLBufferObjectSet::deleteAllGLBufferObjects | ( |  | ) |

## discardAllDeletedGLBufferObjects()

void osg::GLBufferObjectSet::discardAllDeletedGLBufferObjects | ( |  | ) |

## discardAllGLBufferObjects()

void osg::GLBufferObjectSet::discardAllGLBufferObjects | ( |  | ) |

## flushAllDeletedGLBufferObjects()

void osg::GLBufferObjectSet::flushAllDeletedGLBufferObjects | ( |  | ) |

## flushDeletedGLBufferObjects()

void osg::GLBufferObjectSet::flushDeletedGLBufferObjects | ( | double | currentTime,
|  | double & | availableTime )

## getNumOfGLBufferObjects()

unsigned int osg::GLBufferObjectSet::getNumOfGLBufferObjects | ( |  | ) | const

inline

References _numOfGLBufferObjects.

## getNumOrphans()

unsigned int osg::GLBufferObjectSet::getNumOrphans | ( |  | ) | const

inline

References _orphanedGLBufferObjects.

## getNumPendingOrphans()

unsigned int osg::GLBufferObjectSet::getNumPendingOrphans | ( |  | ) | const

inline

References _pendingOrphanedGLBufferObjects.

## getParent()

GLBufferObjectManager * osg::GLBufferObjectSet::getParent | ( |  | ) |

inline

References _parent.

## getProfile()

const BufferObjectProfile & osg::GLBufferObjectSet::getProfile | ( |  | ) | const

inline

References _profile.

## handlePendingOrphandedGLBufferObjects()

void osg::GLBufferObjectSet::handlePendingOrphandedGLBufferObjects | ( |  | ) |

## makeSpace()

bool osg::GLBufferObjectSet::makeSpace | ( | unsigned int & | size | ) |

References size().

## moveToBack()

void osg::GLBufferObjectSet::moveToBack | ( | GLBufferObject * | to | ) |

## moveToSet()

void osg::GLBufferObjectSet::moveToSet | ( | GLBufferObject * | to,
|  | GLBufferObjectSet * | set )

References GLBufferObjectSet().

## orphan()

void osg::GLBufferObjectSet::orphan | ( | GLBufferObject * | to | ) |

## remove()

void osg::GLBufferObjectSet::remove | ( | GLBufferObject * | to | ) |

## size()

unsigned int osg::GLBufferObjectSet::size | ( |  | ) | const

inline

References _numOfGLBufferObjects, and _profile.

Referenced by makeSpace().

## takeFromOrphans()

osg::ref_ptr< GLBufferObject > osg::GLBufferObjectSet::takeFromOrphans | ( | BufferObject * | bufferObject | ) |

## takeOrGenerate()

osg::ref_ptr< GLBufferObject > osg::GLBufferObjectSet::takeOrGenerate | ( | BufferObject * | bufferObject | ) |

## Member Data Documentation

## _contextID

unsigned int osg::GLBufferObjectSet::_contextID

protected

## _head

GLBufferObject* osg::GLBufferObjectSet::_head

protected

## _mutex

OpenThreads::Mutex osg::GLBufferObjectSet::_mutex

protected

## _numOfGLBufferObjects

unsigned int osg::GLBufferObjectSet::_numOfGLBufferObjects

protected

Referenced by getNumOfGLBufferObjects(), and size().

## _orphanedGLBufferObjects

GLBufferObjectList osg::GLBufferObjectSet::_orphanedGLBufferObjects

protected

Referenced by getNumOrphans().

## _parent

GLBufferObjectManager* osg::GLBufferObjectSet::_parent

protected

Referenced by getParent().

## _pendingOrphanedGLBufferObjects

GLBufferObjectList osg::GLBufferObjectSet::_pendingOrphanedGLBufferObjects

protected

Referenced by getNumPendingOrphans().

## _profile

BufferObjectProfile osg::GLBufferObjectSet::_profile

protected

Referenced by getProfile(), and size().

## _tail

GLBufferObject* osg::GLBufferObjectSet::_tail

protected

The documentation for this class was generated from the following file:

- BufferObject